#ifndef THEMISDATADOWNLOADER_H
#define THEMISDATADOWNLOADER_H

#include <QWidget>
#include <QDate>
#include <expxmldownloader.h>

namespace Ui {
class ThemisDataDownloader;
}

class ThemisDataDownloader : public QWidget
{
    Q_OBJECT

public:
    explicit ThemisDataDownloader(QWidget *parent = 0);
    ~ThemisDataDownloader();

protected:
    void changeEvent(QEvent *e);
private slots:
    void downloadData(const QDate & date );
    void loadXmlFile();
private:
    Ui::ThemisDataDownloader *ui;
    ExpXmlDownLoader* m_xmlLoader;
};

#endif // THEMISDATADOWNLOADER_H
